---
title: SVGFETurbulenceElement
slug: Web/API/SVGFETurbulenceElement
tags:
  - API
  - NeedsExample
  - Reference
  - SVG
  - SVG DOM
---
<div>{{APIRef("SVG")}}</div>

<p>The <strong><code>SVGFETurbulenceElement</code></strong> interface corresponds to the {{SVGElement("feTurbulence")}} element.</p>

<p>{{InheritanceDiagram(600, 140)}}</p>

<h2 id="Constants">Constants</h2>

<h3 id="Turbulence_types">Turbulence types</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_TURBULENCE_TYPE_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_TURBULENCE_TYPE_FRACTALNOISE</code></td>
   <td>1</td>
   <td>Corresponds to the <code>fractalNoise</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_TURBULENCE_TYPE_TURBULENCE</code></td>
   <td>2</td>
   <td>Corresponds to <code>turbulence</code> value.</td>
  </tr>
 </tbody>
</table>

<h3 id="Stitch_options">Stitch options</h3>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Name</th>
   <th>Value</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><code>SVG_STITCHTYPE_UNKNOWN</code></td>
   <td>0</td>
   <td>The type is not one of predefined types. It is invalid to attempt to define a new value of this type or to attempt to switch an existing value to this type.</td>
  </tr>
  <tr>
   <td><code>SVG_STITCHTYPE_STITCH</code></td>
   <td>1</td>
   <td>Corresponds to the <code>stitch</code> value.</td>
  </tr>
  <tr>
   <td><code>SVG_STITCHTYPE_NOSTITCH</code></td>
   <td>2</td>
   <td>Corresponds to <code>noStitch</code> value.</td>
  </tr>
 </tbody>
</table>

<h2 id="Properties">Properties</h2>

<p><em>This interface also inherits properties from its parent interface, {{domxref("SVGElement")}}, and also implements properties of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<dl>
 <dt>{{domxref("SVGFETurbulenceElement.baseFrequencyX")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the X component of the {{SVGAttr("baseFrequency")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFETurbulenceElement.baseFrequencyY")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the Y component of the {{SVGAttr("baseFrequency")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFETurbulenceElement.numOctaves")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedInteger")}} corresponding to the {{SVGAttr("numOctaves")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFETurbulenceElement.seed")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedNumber")}} corresponding to the {{SVGAttr("seed")}} attribute of the given element.</dd>
 <dt>{{domxref("SVGFETurbulenceElement.stitchTiles")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("stitchTiles")}} attribute of the given element. It takes one of the <code>SVG_STITCHTYPE_*</code> constants defined on this interface.</dd>
 <dt>{{domxref("SVGFETurbulenceElement.type")}} {{ReadOnlyInline}}</dt>
 <dd>An {{domxref("SVGAnimatedEnumeration")}} corresponding to the {{SVGAttr("type")}} attribute of the given element. It takes one of the <code>SVG_TURBULENCE_TYPE_*</code> constants defined on this interface.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>This interface does not provide any specific methods, but implements those of its parent, {{domxref("SVGElement")}}, and also implements methods of {{domxref("SVGFilterPrimitiveStandardAttributes")}}.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Filters 1.0", "#InterfaceSVGFETurbulenceElement", "SVGFETurbulenceElement")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#InterfaceSVGFETurbulenceElement", "SVGFETurbulenceElement")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SVGFETurbulenceElement")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("feTurbulence")}}</li>
</ul>
